package nayami.services;

/**
 * Copyright 2006 SEKIGUCHI, Koji
 * 
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *  http://www.apache.org/licenses/LICENSE-2.0
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

import javax.servlet.ServletContext;
import javax.servlet.http.HttpServletRequest;
import nayami.config.NayamiConfig;

public class ConfigServices {

    private static final String KEY_CONFIG = "nayamiConfig";
    private NayamiConfig nayamiConfig;

    private ConfigServices( ServletContext sc ){
	nayamiConfig = (NayamiConfig)sc.getAttribute( KEY_CONFIG );
    }

    public static ConfigServices getInstance( HttpServletRequest request ){
	ServletContext sc = request.getSession().getServletContext();
	return new ConfigServices( sc );
    }

    public String getIndexDirectory(){
	return nayamiConfig.getIndexDirectory();
    }

    public String getAnalyzerClassName(){
	return nayamiConfig.getAnalyzerClassName();
    }

    public String getBookDirectory(){
	return nayamiConfig.getBookDirectory();
    }

    public String getBookDigesterRules(){
	return nayamiConfig.getBookDigesterRules();
    }
}
